/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-08
 * 描述            ：度量单位转换配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Bs.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Bs.mapper.PurBsUomsRMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_BS_UOMS_R", namespace=PurBsUomsRMapper.class)
public class PurBsUomsR extends BaseVO implements Serializable {
	 
	 
	/**
	 * 
	 */
	private static final long serialVersionUID = 9137014960331200470L;
	/** 
	 * 度量单位编码
	 */ 
	@Column
	private String uom_code;
	public String getUom_code() {
		return this.uom_code;
	}
	public void setUom_code(String uom_code) {
		this.uom_code = uom_code;
	}

	/** 
	 * 度量单位名称
	 */ 
	@Column
	private String uom_name;
	public String getUom_name() {
		return this.uom_name;
	}
	public void setUom_name(String uom_name) {
		this.uom_name = uom_name;
	}

	/** 
	 * 转换系数
	 */ 
	@Id
	private String uom_conefficient;
	public String getUom_conefficient() {
		return this.uom_conefficient;
	}
	public void setUom_conefficient(String uom_conefficient) {
		this.uom_conefficient = uom_conefficient;
	}

	/** 
	 * 转换单位编码
	 */ 
	@Id
	private String convert_unit_code;
	public String getConvert_unit_code() {
		return this.convert_unit_code;
	}
	public void setConvert_unit_code(String convert_unit_code) {
		this.convert_unit_code = convert_unit_code;
	}

	/** 
	 * 转换单位
	 */ 
	@Column
	private String convert_unit;
	public String getConvert_unit() {
		return this.convert_unit;
	}
	public void setConvert_unit(String convert_unit) {
		this.convert_unit = convert_unit;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
